#include <iostream>
#include <fstream>

using namespace std;

ifstream in_stream;
ofstream out_stream;

int main() {
	in_stream.open("inp.txt");
	out_stream.open("out.txt");

	// Чтение файла
	int N;
	in_stream >> N;

	cout << "Полученное число из файла: ";
	cout << N << endl;

	// Чтение двух чисел с одной строки:
	int x;
	in_stream >> x;
	cout << "Первое число второй строки: " << x << endl;
	int y;
	in_stream >> y;
	cout << "Второе число второй строки: " << y << endl;

	// Чтение до конца файла:
	int sum = 0;
	int tmp;
	while(!in_stream.eof()) {
		in_stream >> tmp;
		sum += tmp;
	}
	/* Аналог:
	while (in_stream >> tmp) {
		sum += tmp;
	}
	*/
	cout << "Сумма оставшихся чисел в файле: " << sum << endl;

	// Вывод в файл:
	out_stream << sum << endl;

	in_stream.close();
	out_stream.close();
	return 0;
}